Subject: bug#74750: clone-frame and make-frame pixelwise issues

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Dec 2024 08:05:15 +0200

> From: Ship Mints <[email-masked]>
> Date: Wed, 11 Dec 2024 17:41:01 -0500
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> That patch works to address make-frame's respect for text-pixels, at least on NS (the only platform I tested).
> 
> Now to address the clone-frame implementation to respect pixelwise, and/or as you suggested, perhaps a
> formal frame parameter resize-pixelwise. If we adopt the change I proposed it could be used in Emacs 30 or
> 31 since this is a bug (but not a regression). If we go for resize-pixelwise, it'll be 31, right?

Actually, it's too late for Emacs 30, unless the bug is very serious
and the fix is very safe.  So I think this should end up on master
regardless.